#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#else
#  define cerr __get_ce
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
mt19937 tw(9450189);
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	string s;
	cin >> s;
	int n = szof(s);
	vector<int> pref = {0};
	for (char c : s) {
		pref.push_back(pref.back() + c - '0');
	}
	vector<int> have(n + 1);
	for (int l = n - 1; l >= 1; --l) {
		fill(have.begin(), have.begin() + l + 1, -1);
		for (int i = 0; i + l <= n; ++i) {
			int s = pref[i + l] - pref[i];
			if (have[s] != -1) {
				cout << i + 1 << " " << i + l << " " << have[s] + 1 << " " << have[s] + l << "\n";
				return;
			}
			have[s] = i;
		}
	}

	cout << "-1\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
