#include "testlib.h"
#include <string>

using namespace std;

int main(int argc, char* argv[]) {
  registerValidation(argc, argv);

  int gr = validator.group()[0] - '0';

  string s1 = inf.readToken("[0-9][0-9]:[0-5][0-9]");
  inf.readEoln();
  string s2 = inf.readToken("[0-9][0-9]:[0-5][0-9]");
  inf.readEoln();

  int h1 = (s1[0] - '0') * 10 + (s1[1] - '0');
  int m1 = (s1[3] - '0') * 10 + (s1[4] - '0');
  int h2 = (s2[0] - '0') * 10 + (s2[1] - '0');
  int m2 = (s2[3] - '0') * 10 + (s2[4] - '0');

  ensuref(0 <= h1 && h1 <= 23, "h1 is invalid");
  ensuref(0 <= m1 && m1 <= 59, "m1 is invalid");
  ensuref(0 <= h2 && h2 <= 23, "h2 is invalid");
  ensuref(0 <= m2 && m2 <= 59, "m2 is invalid");

  if (gr == 1) {
    ensuref(m1 == 0 && m2 == 0, "minutes must be equal to 0");
  }

  inf.readEof();
}
